#!/usr/bin/env bash


# ----------------------------------------------------------
# --------------------------Add aliases---------------------
# ----------------------------------------------------------
echo '--- Add aliases'
rm -Pf ~/.zshrc
rm -Pf ~/.bashrc
echo "export REPO_DIR='$PWD'" >> ~/.zshrc
echo "export REPO_DIR='$PWD'" >> ~/.bashrc
echo "alias ll='ls -la'" >> ~/.zshrc
echo "alias ll='ls -la'" >> ~/.bashrc
echo "alias update='zsh $REPO_DIR/env_setup_mac/update/all.sh'" >> ~/.zshrc
echo "alias update='bash $REPO_DIR/env_setup_mac/update/all.sh'" >> ~/.bashrc
echo "alias flush_dns='zsh $REPO_DIR/env_setup_mac/cleanup/system_and_logs/clear_dns_cache.sh'" >> ~/.zshrc
echo "alias flush_dns='bash $REPO_DIR/env_setup_mac/cleanup/system_and_logs/clear_dns_cache.sh'" >> ~/.bashrc
echo "alias clear_all='zsh $REPO_DIR/env_setup_mac/cleanup/all.sh'" >> ~/.zshrc
echo "alias clear_all='bash $REPO_DIR/env_setup_mac/cleanup/all.sh'" >> ~/.bashrc
sudo chown $USER ~/.zshrc
sudo chown $USER ~/.bashrc
# ----------------------------------------------------------
echo 'Aliases are now setup 🎉💪'
