#!/usr/bin/env bash

# https://privacy.sexy — v0.11.3 — Sat, 15 Jan 2022 19:20:21 GMT
if [ "$EUID" -ne 0 ]; then
    script_path=$([[ "$0" = /* ]] && echo "$0" || echo "$PWD/${0#./}")
    sudo "$script_path" || (
        echo 'Administrator privileges are required.'
        exit 1
    )
    exit 0
fi


# ----------------------------------------------------------
# --Disable automatically updating app from the App Store---
# ----------------------------------------------------------
echo '--- Disable automatically updating app from the App Store'
# For OS X Yosemite and later (>= 10.10)
sudo defaults write /Library/Preferences/com.apple.commerce 'AutoUpdate' -bool false
# For Mojave and later (>= 10.14)
sudo defaults write /Library/Preferences/com.apple.SoftwareUpdate 'AutomaticallyInstallAppUpdates' -bool false
# ----------------------------------------------------------


# ----------------------------------------------------------
# -------Disable installation of macOS beta releases--------
# ----------------------------------------------------------
echo '--- Disable installation of macOS beta releases'
# For OS X Yosemite and later (>= 10.10)
sudo defaults write /Library/Preferences/com.apple.SoftwareUpdate 'AllowPreReleaseInstallation' -bool false
# ----------------------------------------------------------


echo 'Your privacy and security is now hardened 🎉💪'
