#!/usr/bin/env bash

# ----------------------------------------------------------
# ---------------Installing: All base apps------------------
# ----------------------------------------------------------
echo '--- Installing: all base apps'
BASEDIR=$(dirname $0)
bash $BASEDIR/homebrew.sh
bash $BASEDIR/communication.sh
bash $BASEDIR/network.sh
bash $BASEDIR/office.sh
bash $BASEDIR/pictures.sh
bash $BASEDIR/utilities.sh
# ----------------------------------------------------------


# ----------------------------------------------------------
# --------------Installing: All additional apps-------------
# ----------------------------------------------------------
if [ -f "$REPO_DIR/additional_env_setup_mac/install_apps/all.sh" ]; then
  bash $REPO_DIR/additional_env_setup_mac/install_apps/all.sh
fi
# ----------------------------------------------------------


# ----------------------------------------------------------
# ---------------Installing: All browsers-------------------
# ----------------------------------------------------------
echo '--- Installing: all browsers'
bash $BASEDIR/browsers.sh
# ----------------------------------------------------------


echo 'All apps now setup correctly 🎉💪'
