#!/usr/bin/env bash

# Note: maybe outreach but better safe than sorry - Based on the firefox.sh

# ----------------------------------------------------------
# ----------------Clear Tor Browser cache-------------------
# ----------------------------------------------------------
echo '--- Clear Tor Browser cache'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/Caches/*
# ----------------------------------------------------------


# ----------------------------------------------------------
# -------------Delete Tor Browser form history--------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser form history'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/formhistory.sqlite
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/formhistory.dat
# ----------------------------------------------------------


# ----------------------------------------------------------
# ------------Delete Tor Browser site preferences----------
# ----------------------------------------------------------
echo '--- Delete Tor Browser site preferences'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/content-prefs.sqlite
# ----------------------------------------------------------


# Delete Tor Browser session restore data (loads after the browser closes or crashes)
echo '--- Delete Tor Browser session restore data (loads after the browser closes or crashes)'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionCheckpoints.json
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore*.js*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore.bak*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore-backups/previous.js*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore-backups/recovery.js*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore-backups/recovery.bak*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore-backups/previous.bak*
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/sessionstore-backups/upgrade.js*-20*
# ----------------------------------------------------------


# ----------------------------------------------------------
# ---------------Delete Tor Browser passwords---------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser passwords'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/signons.txt
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/signons2.txt
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/signons3.txt
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/signons.sqlite
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/logins.json
# ----------------------------------------------------------


# ----------------------------------------------------------
# --------------Delete Tor Browser HTML5 cookies------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser HTML5 cookies'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/webappsstore.sqlite
# ----------------------------------------------------------


# ----------------------------------------------------------
# -------------Delete Tor Browser crash reports-------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser crash reports'
rm -rfv ~/Library/Application\ Support/TorBrowser-Data/Browser/Crash\ Reports/
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/minidumps/*.dmp
# ----------------------------------------------------------


# ----------------------------------------------------------
# -------------Delete Tor Browser backup files--------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser backup files'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/bookmarkbackups/*.json
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/bookmarkbackups/*.jsonlz4
# ----------------------------------------------------------

# ----------------------------------------------------------
# -----------------Delete Tor Browser cookies---------------
# ----------------------------------------------------------
echo '--- Delete Tor Browser cookies'
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/cookies.txt
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/cookies.sqlite
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/cookies.sqlite-shm
rm -fv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/cookies.sqlite-wal
rm -rfv ~/Library/Application\ Support/TorBrowser-Data/Browser/*.default/storage/default/http*
# ----------------------------------------------------------

echo 'Tor Browser cleaned up 🎉💪'
