#!/usr/bin/env bash

# ----------------------------------------------------------
# ---------------Environment full setup---------------------
# ----------------------------------------------------------
echo '--- Environment full setup'
export REPO_DIR=$PWD
bash $REPO_DIR/additional_env_setup_mac/init_setup/all.sh
bash $REPO_DIR/env_setup_mac/init_setup/configure_os.sh
bash $REPO_DIR/env_setup_mac/init_setup/security_improvments.sh
bash $REPO_DIR/env_setup_mac/init_setup/privacy_over_security.sh
bash $REPO_DIR/env_setup_mac/init_setup/disable_microsoft_telemetry.sh
bash $REPO_DIR/env_setup_mac/init_setup/uninstall_google_update.sh
bash $REPO_DIR/env_setup_mac/init_setup/aliases.sh
bash $REPO_DIR/env_setup_mac/init_setup/curlrc.sh
# ----------------------------------------------------------

echo 'Your environment is now setup 🎉💪'
