#!/usr/bin/env bash
# https://privacy.sexy — v0.11.3 — Thu, 17 Feb 2022 10:17:22 GMT
if [ "$EUID" -ne 0 ]; then
    script_path=$([[ "$0" = /* ]] && echo "$0" || echo "$PWD/${0#./}")
    sudo "$script_path" || (
        echo 'Administrator privileges are required.'
        exit 1
    )
    exit 0
fi


# ----------------------------------------------------------
# -----------------Uninstall Google update------------------
# ----------------------------------------------------------
echo '--- Uninstall Google update'
googleUpdateFile=~/Library/Google/GoogleSoftwareUpdate/GoogleSoftwareUpdate.bundle/Contents/Resources/ksinstall
if [ -f "$googleUpdateFile" ]; then
    $googleUpdateFile --nuke
    echo Uninstalled google update
else
    echo Google update file does not exist
fi
# ----------------------------------------------------------


# ----------------------------------------------------------
# --------------------Remove Google files-------------------
# ----------------------------------------------------------
echo '--- Remove Google files'
googleSoftwareDir=~/Library/Google/
if [ -d "$googleSoftwareDir" ]; then
    rm -rfv $googleSoftwareDir
    echo Removed Google Software directory
else
    echo Google Software directory does not exist
fi
# ----------------------------------------------------------

echo 'Google update is now disabled 🎉💪'
