#!/usr/bin/env bash

# ----------------------------------------------------------
# ---------------Uninstalling: All base apps----------------
# ----------------------------------------------------------
echo '--- Uninstalling: all base apps'
BASEDIR=$(dirname $0)
bash $BASEDIR/homebrew.sh
bash $BASEDIR/communication.sh
bash $BASEDIR/network.sh
bash $BASEDIR/office.sh
bash $BASEDIR/pictures.sh
bash $BASEDIR/utilities.sh
# ----------------------------------------------------------


# ----------------------------------------------------------
# --------------Uninstalling: All additional apps-----------
# ----------------------------------------------------------
if [ -f "${REPO_DIR}/additional_env_setup_mac/uninstall_apps/all.sh" ]; then
  bash $REPO_DIR/additional_env_setup_mac/uninstall_apps/all.sh
fi
# ----------------------------------------------------------


# ----------------------------------------------------------
# --------------Uninstalling: All browsers------------------
# ----------------------------------------------------------
echo '--- Uninstalling: all browsers'
bash $BASEDIR/browsers.sh
# ----------------------------------------------------------


# ----------------------------------------------------------
# -------------Uninstalling: Homebrew and aliases-----------
# ----------------------------------------------------------
echo '--- Uninstalling: Homebrew and aliases'
bash homebrew.sh
bash aliases.sh
# ----------------------------------------------------------

echo 'All apps now uninstalled correctly 🎉💪'
